/*
 * tulklut.h
 *
 * Zorglang transformation library
 *
 * Copyright (C) 2003-2004 Richard "riri_le_mechant" GILL <richard@nasgaia.org>
 *
 *	This program is free software; you can redistribute it and/or modify it
 *	under the terms of the GNU General Public License as published by the
 *	Free Software Foundation version 2 of the License.
 * 
 *	This program is distributed in the hope that it will be useful, but
 *	WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *	General Public License for more details.
 * 
 *	You should have received a copy of the GNU General Public License along
 *	with this program; if not, write to the Free Software Foundation, Inc.,
 *	675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#ifndef _TULKLUT_H_INCLUDED
#define _TULKLUT_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

char *tulklut_it(char *str, size_t len);
char *tulklut_dup(const char *str, size_t len);
char *tulklut_opt(char *str, size_t len, int opts);

#ifdef __cplusplus
}
#endif
 
#endif	/* _TULKLUT_H_INCLUDED */
